package main

/*
	this parses the command line arguements

	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/dev/alexflint/arg"
	"go.wit.com/lib/debugger"
	"go.wit.com/log"
)

var argv args

type args struct {
	Auto      bool     `arg:"--auto"                   help:"automatically attempt to make the .deb"`
	Ldflags   []string `arg:"--ldflags"                help:"flags to pass to go build"`
	Repo      string   `arg:"--repo"                   help:"go get path to the repo"`
	PkgDir    string   `arg:"--pkg-dir"                help:"set default directory (~/incoming/)"`
	Release   bool     `arg:"--release"                help:"build a release from the last git tag"`
	KeepFiles bool     `arg:"--keep-files"             help:"keep the build files/"`
	Force     bool     `arg:"--force" default:"false"  help:"force overwrite an existing .deb file"`
}

func init() {
	arg.MustParse(&argv)

	if debugger.ArgDebug() {
		log.Info("cmd line --debugger == true")
	} else {
		log.Info("cmd line --debugger == false")
	}
}

func (args) Version() string {
	return "go-clone " + VERSION + "    Built on " + DATE
}
